搭建环境出错了咋办,不想用虚拟机.....

各位大佬们好~我刚才在按照官方的教程搭建环境,,,可是发现报错了,求求各位大佬帮助~

源码包是从虚拟机提取的....感觉虚拟机不方便,打算直接上真机....

 

这个错误出在哪里,该咋解决啊.....求求大佬帮助一下....

编译环境
2020-10-15 17:45:48
浏览
收藏 0
回答 2
待解决
回答 2
按赞同
/
按时间
ryc12138
3

Traceback (most recent call last):
  File "/usr/lib/scons/SCons/Script/Main.py", line 1376, in main
    _exec_main(parser, values)
  File "/usr/lib/scons/SCons/Script/Main.py", line 1339, in _exec_main
    _main(parser)
  File "/usr/lib/scons/SCons/Script/Main.py", line 1006, in _main
    SCons.Script._SConscript._SConscript(fs, script)
  File "/usr/lib/scons/SCons/Script/SConscript.py", line 255, in _SConscript
    exec(compile(_file_.read(), _file_.name, 'exec'),
  File "/home/ryc/code/vendor/hisi/hi3861/hi3861/SConstruct", line 34, in <module>
    from scripts import pkt_builder
  File "/home/ryc/code/vendor/hisi/hi3861/hi3861/build/scripts/pkt_builder.py", line 24, in <module>
    import make_upg_file as MAKE_IMAGE
  File "/home/ryc/code/vendor/hisi/hi3861/hi3861/build/scripts/make_upg_file.py", line 30, in <module>
    from Crypto.PublicKey import RSA
  File "/usr/lib/python3/dist-packages/Crypto/PublicKey/RSA.py", line 78, in <module>
    from Crypto import Random
  File "/usr/lib/python3/dist-packages/Crypto/Random/__init__.py", line 29, in <module>
    from Crypto.Random import _UserFriendlyRNG
  File "/usr/lib/python3/dist-packages/Crypto/Random/_UserFriendlyRNG.py", line 38, in <module>
    from Crypto.Random.Fortuna import FortunaAccumulator
  File "/usr/lib/python3/dist-packages/Crypto/Random/Fortuna/FortunaAccumulator.py", line 39, in <module>
    from . import FortunaGenerator
  File "/usr/lib/python3/dist-packages/Crypto/Random/Fortuna/FortunaGenerator.py", line 35, in <module>
    from Crypto.Util import Counter
  File "/usr/lib/python3/dist-packages/Crypto/Util/Counter.py", line 59, in <module>
    from Crypto.Util import _counter
ImportError: cannot import name '_counter' from 'Crypto.Util' (/usr/lib/python3/dist-packages/Crypto/Util/__init__.py)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/scons", line 201, in <module>
    SCons.Script.main()
  File "/usr/lib/scons/SCons/Script/Main.py", line 1401, in main
    SCons.Script._SConscript.SConscript_exception()
  File "/usr/lib/scons/SCons/Script/SConscript.py", line 319, in SConscript_exception
    stack = traceback.extract_tb(tb)
  File "/usr/lib/python3.8/traceback.py", line 72, in extract_tb
    return StackSummary.extract(walk_tb(tb), limit=limit)
  File "/usr/lib/python3.8/traceback.py", line 366, in extract
    f.line
  File "/usr/lib/python3.8/traceback.py", line 288, in line
    self._line = linecache.getline(self.filename, self.lineno).strip()
  File "/usr/lib/python3.8/linecache.py", line 16, in getline
    lines = getlines(filename, module_globals)
  File "/usr/lib/python3.8/linecache.py", line 47, in getlines
    return updatecache(filename, module_globals)
  File "/usr/lib/python3.8/linecache.py", line 137, in updatecache
    lines = fp.readlines()
  File "/usr/lib/python3.8/codecs.py", line 322, in decode
    (result, consumed) = self._buffer_decode(data, self.errors, final)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xca in position 699: invalid continuation byte
Traceback (most recent call last):
  File "../../build/lite/build_ext_components.py", line 64, in <module>
    sys.exit(main())
  File "../../build/lite/build_ext_components.py", line 58, in main
    cmd_exec(args.command)
  File "../../build/lite/build_ext_components.py", line 32, in cmd_exec
    raise Exception("{} failed, return code is {}".format(cmd, ret_code))
Exception: ['sh', 'hm_build.sh'] failed, return code is 1
ninja: build stopped: subcommand failed.
you can check build log in /home/ryc/code/out/wifiiot/build.log
/home/ryc/ninja/ninja -w dupbuild=warn -C /home/ryc/code/out/wifiiot failed, return code is 1
usage: 
  python build.py ipcamera_hi3516dv300
  python build.py ipcamera_hi3518ev300
  python build.py wifiiot

这个错误出在哪里,该咋解决啊.....求求大佬帮助一下....

分享
微博
QQ
微信
回复4
2020-10-15 17:46:06
wx625b628cab1d4

解决了吗,我也报这个错

分享
微博
QQ
微信
回复
2022-04-17 08:45:10
相关问题
api version6 是不是只能在虚拟机
2469浏览 • 2回复 已解决
虚拟机上运行不了鸿蒙项目
985浏览 • 1回复 待解决
搭建鸿蒙环境时,编译报错
2196浏览 • 1回复 待解决
fraction 添加fraction 页面报错了
1735浏览 • 3回复 待解决
SparkSQL整合mongodb出错
1324浏览 • 1回复 待解决
现在devecostudio能用虚拟手机开发吗?
2612浏览 • 1回复 待解决
windows中安装hpm出错
2750浏览 • 1回复 待解决